%define s_t_b 2.9.4
Summary:	GNOME System Tools
Name: 		gnome-system-tools 
Version: 2.32.0
Release: %mkrel 2
License: 	GPLv2+
Group: 		System/Configuration/Other
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0: gnome-system-tools-2.30.1-fix-linking.patch
Patch1: gnome-system-tools-2.31.1-missing-includes.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://www.gnome.org/projects/gst/

Obsoletes:  ximian-setup-tools
Obsoletes:  ximian-setup-tools-devel
Provides:   ximian-setup-tools-devel = %{version}
Provides:   ximian-setup-tools = %{version}-%{release}
BuildRequires:  cracklib-devel
BuildRequires:	libnautilus-devel >= 2.9.3
BuildRequires:  libvte-devel >= 0.10.20
BuildRequires:  gtk2-devel >= 2.9.0
BuildRequires:  glib2-devel >= 2.25.3
BuildRequires:  libncurses-devel
BuildRequires:  scrollkeeper
BuildRequires:  libmesaglu-devel
BuildRequires:  polkit-gnome-devel
BuildRequires:  libGConf2-devel
BuildRequires:  libiw-devel
BuildRequires:  liboobs-devel >= 2.29.91
BuildRequires: system-tools-backends2 >= %s_t_b
BuildRequires:  imagemagick
BuildRequires:	gnome-doc-utils
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
#gw libtool dep:
BuildRequires:	hal-devel
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires: system-tools-backends2 >= %s_t_b
Requires: usermode

%description
Day-to-day system management on Unix systems is a chore. Even when 
you're using a friendly graphical desktop, seemingly basic tasks 
like setting the system time, changing the network setup, importing 
and exporting network shared filesystems and configuring swap partitions 
requires editing configuration files by hand, and the exact procedure 
varies between different operating systems and distributions.

The GNOME System Tools solve all these problems, giving you a simple
graphical interface for each task, which uses an advanced backend to 
edit all the relevant files and apply your changes. The interface 
looks and acts in exactly the same way regardless of what platform 
you're using.

%prep
%setup -q
%apply_patches
autoreconf -fi

%build
%configure2_5x --enable-services
%make

%install
rm -rf $RPM_BUILD_ROOT *.lang

%makeinstall_std desktopdir=%_datadir/applications
rm -f %buildroot%_libdir/nautilus/extensions-2.0/libnautilus*a
rm -rf %buildroot/var/lib/scrollkeeper
%{find_lang} %{name}
%{find_lang} boot-admin --with-gnome
%{find_lang} shares-admin --with-gnome
%{find_lang} network-admin --with-gnome
%{find_lang} services-admin --with-gnome
%{find_lang} time-admin --with-gnome
%{find_lang} users-admin --with-gnome
cat *-admin.lang >> %name.lang
for omf in %buildroot%_datadir/omf/*/*-{??,??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-BootandInit" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/services.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Networking" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/{network.desktop,shares.desktop}
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/{time.desktop,users.desktop}

#symlinks for consolehelper
cd %buildroot
mkdir ./%_sbindir
mv ./%_bindir/* ./%_sbindir
cd ./%_sbindir
for bin in *;do ln -s consolehelper %buildroot%_bindir/$bin;done

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING HACKING NEWS ChangeLog 
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/*.conf
%{_bindir}/network-admin
%{_bindir}/services-admin
%{_bindir}/shares-admin
%{_bindir}/time-admin
%{_bindir}/users-admin
%{_sbindir}/network-admin
%{_sbindir}/services-admin
%{_sbindir}/shares-admin
%{_sbindir}/time-admin
%{_sbindir}/users-admin
%{_datadir}/%{name}
%{_datadir}/applications/network.desktop
%{_datadir}/applications/services.desktop
%{_datadir}/applications/shares.desktop
%{_datadir}/applications/time.desktop
%{_datadir}/applications/users.desktop
%_datadir/icons/hicolor/*/*/*
%dir %{_datadir}/omf/*/
%{_datadir}/omf/*/*-C.omf
%{_datadir}/glib-2.0/schemas/org.gnome.system-tools.gschema.xml
%_libdir/nautilus/extensions-2.0/libnautilus-gst-shares.so
%_libdir/pkgconfig/gnome-system-tools.pc


%changelog
* Wed Sep 28 2011 Götz Waschk <waschk@mandriva.org> 2.32.0-2mdv2012.0
+ Revision: 701631
- rebuild

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581441
- update to new version 2.32.0

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578080
- update to new version 2.31.92

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574518
- update to new version 2.31.91

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.1-1mdv2011.0
+ Revision: 563374
- new version
- fix build
- bump glib dep
- spec cleanup
- update file list

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 550733
- update to new version 2.30.2

* Tue Apr 27 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539486
- fix linking
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528915
- update to new version 2.30.0

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-2mdv2010.1
+ Revision: 516942
- new version
- bump system-tools-backends2 dep

* Mon Feb 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 506371
- new version
- bump liboobs dep

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 502908
- new version
- update liboobs dep

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 496740
- new version
- bump liboobs dep

* Tue Jan 12 2010 Funda Wang <fwang@mandriva.org> 2.29.2-2mdv2010.1
+ Revision: 490032
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - update liboobs dep
    - update file list

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 475603
- new version
- drop patch
- bump deps

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458734
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446585
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437216
- update to new version 2.27.92

* Thu Aug 20 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 418394
- update system-tools-backends2 dep
- new version
- drop patch 0
- update build deps

* Mon Jul 27 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 400786
- new version
- fix desktop entry

* Sun Jul 19 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 397223
- update to new version 2.27.1

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.1
+ Revision: 356910
- fix build deps
- new version
- fix format strings
- update build deps

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 287508
- fix build deps
- new version
- fix license
- update file list

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183050
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175277
- new version
- update file list

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165744
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159424
- new version

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5.1-1mdv2008.1
+ Revision: 152172
- new version
- fix nautilus extension dir

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 132336
- new version
- bump deps

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 2.21.2.1-1mdv2008.1
+ Revision: 108808
- new version
- bump deps

* Tue Oct 30 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 103830
- new version
- bump liboobs dep

* Sat Sep 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 85981
- new version

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79032
- new version

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 72389
- new version

* Sun Jul 29 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 56477
- new version

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.0-1mdv2008.0
+ Revision: 50941
- new version

* Fri Jul 06 2007 Funda Wang <fwang@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 49022
- Bump release

* Fri Jul 06 2007 Funda Wang <fwang@mandriva.org> 2.18.1-0mdv2008.0
+ Revision: 49018
- New version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-2mdv2008.0
+ Revision: 14541
- new version


* Fri Mar 16 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-2mdv2007.1
+ Revision: 144949
- update deps
- add usermode support

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141714
- new version

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 130568
- new version

* Tue Feb 13 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120324
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112295
- new version

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106897
- new version

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 89552
- new version
- handle new icons

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-4mdv2007.1
+ Revision: 88433
- bot rebuild
- rebuild
- bot rebuild
- new version

* Sun Nov 05 2006 Götz Waschk <waschk@mandriva.org> 2.15.6-1mdv2007.1
+ Revision: 76765
- Import gnome-system-tools

* Sun Nov 05 2006 Götz Waschk <waschk@mandriva.org> 2.15.6-1mdv2007.1
- New version 2.15.6

* Sun Oct 01 2006 Gtz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- bump deps
- New version 2.15.5

* Tue Sep 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- New version 2.15.4

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- bump deps
- New release 2.15.3

* Mon Aug 14 2006 Gtz Waschk <waschk@mandriva.org> 2.15.2-1mdv2007.0
- update file list
- New release 2.15.2

* Fri Aug 04 2006 Gtz Waschk <waschk@mandriva.org> 2.15.1-1mdv2007.0
- xdg menu
- New release 2.15.1
- fix buildrequires

* Mon Apr 17 2006 Gtz Waschk <waschk@mandriva.org> 2.14.0-2mdk
- fix buildrequires

* Mon Mar 13 2006 Gtz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- update file list
- New release 2.14.0

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 1.4.1-2mdk
- replace prereq

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 1.4.1-1mdk
- fix installation
- New release 1.4.1

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.4.0-2mdk
- rebuild against openssl-0.9.8

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.0-1mdk
- Release 1.4.0

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-1mdk
- New release 1.2.0
- depend on system-tools-backends
- drop patches
- update file list
- fix buildrequires

* Thu Feb 17 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-3mdk
- fix small typo in the patch

* Thu Feb 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.0-2mdk 
- Update patch0 to fix Mdk bug #13485

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-1mdk
- add shares component
- requires new libbonobo
- New release 1.1.0

* Tue Sep 28 2004 Olivier Blin <blino@mandrake.org> 1.0.0-2mdk
- Patch0: fix Mandrakelinux platform detection

* Wed Sep 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- New release 1.0.0

* Fri Sep 03 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.92.0-1mdk
- New release 0.92.0

* Sat Aug 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.91.0-2mdk
- enable services and boot tools

* Sat Aug 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.91.0-1mdk
- New release 0.91.0

* Wed Jul 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.90.0-1mdk
- add scrollkeeper stuff
- add help files
- New release 0.90.0

* Thu Jul 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.34.0-1mdk
- drop merged patch 0
- New release 0.34.0

* Mon May 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.33.0-1mdk
- update patch 0
- fix source URL
- New release 0.33.0

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.32.0-2mdk
- patch 0: add support for mdk releases 7.0 up to 10.1 (i did *NOT* look at
  profiles support though)
- patch 1: fix networjk interface list (skip editors' backups and 
  system packages' ones)

